#!/usr/bin/perl

=head

This program will generate the individual files for each acclist. It should be run in the final directory and the input should be the corresponding byclass, byorder, byfamily and bygenus files which contains the taxid and then list of accessions. 

=cut

use strict;

my $outdir = shift;
die "Usage: cat file_listoftax2accbyotu | $0 $outdir\n" if ($outdir eq "");

my @lines = <STDIN>;

foreach my $line (@lines) {
	my ($taxid, $accs) = split (/\t/, $line);
	my $file_out = $outdir."/acclist_".$taxid;
	#open (OUT, ">$file_out");
	$accs =~ s/^\s+//g;
	$accs =~ s/\s+$//g;
	$accs =~ s/\s+/\n/g;
	if ($accs =~ /\w/) { #if the accs has accession numbers
		open (OUT, ">$file_out");
		print OUT $accs;
		close(OUT);
	}
}
